Package org.kapott.hbci.sepa.jaxb.pain_001_001_11

# Class FrequencyPeriod1

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_001_001_11.FrequencyPeriod1

public class FrequencyPeriod1 extends Object

Java class for FrequencyPeriod1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="FrequencyPeriod1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}Frequency6Code"/>
             <element name="CntPerPrd" type="{urn:iso:std:iso:20022:tech:xsd:pain.001.001.11}DecimalNumber"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected BigDecimal`
`cntPerPrd`
`protected Frequency6Code`
`tp`

## Constructor Summary

Constructors
Constructor
Description
`FrequencyPeriod1()`

## Method Summary

Modifier and Type
Method
Description
`BigDecimal`
`getCntPerPrd()`
Gets the value of the cntPerPrd property.
`Frequency6Code`
`getTp()`
Gets the value of the tp property.
`void`
`setCntPerPrd(BigDecimal value)`
Sets the value of the cntPerPrd property.
`void`
`setTp(Frequency6Code value)`
Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### tp

protected Frequency6Code tp

### cntPerPrd

protected BigDecimal cntPerPrd

## Constructor Details

### FrequencyPeriod1

public FrequencyPeriod1()

## Method Details

### getTp

public Frequency6Code getTp()
Gets the value of the tp property.

Returns:
  possible object is `Frequency6Code`

### setTp

public void setTp(Frequency6Code value)
Sets the value of the tp property.

Parameters:
  `value` - allowed object is `Frequency6Code`

### getCntPerPrd

public BigDecimal getCntPerPrd()
Gets the value of the cntPerPrd property.

Returns:
  possible object is `BigDecimal`

### setCntPerPrd

public void setCntPerPrd(BigDecimal value)
Sets the value of the cntPerPrd property.

Parameters:
  `value` - allowed object is `BigDecimal`